Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Bzip2 package contains programs for compressing and decompressing files.
Name:      	bzip2
Version:   	1.0.6
Release:   	1
License: 	GNU/GPL
URL:		http://www.bzip.org
Group:     	Archiving/Compression
Source0: 	bzip2-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The Bzip2 package contains programs for compressing and decompressing files.

%package devel
Summary: 	bzip2 development headers.
Group:     	Archiving/Compression
Requires: 	bzip2 = %{version}

%description devel
Header and include files for developing applications with bzip2.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn bzip2-%{version}

%build
make -f Makefile-libbz2_so
make clean
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/usr
install -m755 -d $RPM_BUILD_ROOT/bin
install -m755 -d $RPM_BUILD_ROOT/lib
install -m755 -d $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share
cp bzip2-shared $RPM_BUILD_ROOT/bin/bzip2
cp -a libbz2.so* $RPM_BUILD_ROOT/lib
ln -sf ../../lib/libbz2.so.1.0 $RPM_BUILD_ROOT/usr/lib/libbz2.so
rm $RPM_BUILD_ROOT/usr/bin/{bunzip2,bzcat,bzip2}
ln -sf bzip2 $RPM_BUILD_ROOT/bin/bunzip2
ln -sf bzip2 $RPM_BUILD_ROOT/bin/bzcat

#Build fixes
rm -f $RPM_BUILD_ROOT/usr/bin/bzcmp
ln -sf bzdiff $RPM_BUILD_ROOT/usr/bin/bzcmp
rm -f $RPM_BUILD_ROOT/usr/bin/bzegrep
ln -sf bzgrep $RPM_BUILD_ROOT/usr/bin/bzegrep
rm -f $RPM_BUILD_ROOT/usr/bin/bzfgrep
ln -sf bzgrep $RPM_BUILD_ROOT/usr/bin/bzfgrep
rm -f $RPM_BUILD_ROOT/usr/bin/bzless
ln -sf bzmore $RPM_BUILD_ROOT/usr/bin/bzless

%files
%defattr(-,root,root)
/bin/bunzip2
/bin/bzcat
/bin/bzip2
/lib/libbz2.so.*
%{_bindir}/bzcmp
%{_bindir}/bzdiff 
%{_bindir}/bzegrep
%{_bindir}/bzfgrep
%{_bindir}/bzgrep
%{_bindir}/bzip2recover
%{_bindir}/bzless 
%{_bindir}/bzmore
%{_mandir}/man1/bzcmp.1.gz
%{_mandir}/man1/bzdiff.1.gz
%{_mandir}/man1/bzegrep.1.gz
%{_mandir}/man1/bzfgrep.1.gz
%{_mandir}/man1/bzgrep.1.gz
%{_mandir}/man1/bzip2.1.gz
%{_mandir}/man1/bzless.1.gz
%{_mandir}/man1/bzmore.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/bzlib.h
%{_libdir}/libbz2.a
%{_libdir}/libbz2.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- Version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version update
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Version update, cleaned specfile
* Tue Mar 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version Update to 1.0.3
